summaryrefslogtreecommitdiffstats
path: root/network/dante
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2018-07-01 16:11:05 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-07-07 06:54:13 +0700
commitf95f88780b1c0a8819d2add3593d712e0e3ef8cb (patch)
tree7a3b3789e78c27598ea7033a6d366d598aadbf2b /network/dante
parent9e112ca8420281039fc4a1557783d42614357549 (diff)
downloadslackbuilds-f95f88780b1c0a8819d2add3593d712e0e3ef8cb.tar.gz
slackbuilds-f95f88780b1c0a8819d2add3593d712e0e3ef8cb.tar.xz
network/dante: Added (a free SOCKS client and server).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/dante')
-rw-r--r--network/dante/README43
-rw-r--r--network/dante/dante.SlackBuild106
-rw-r--r--network/dante/dante.info10
-rw-r--r--network/dante/slack-desc19
4 files changed, 178 insertions, 0 deletions
diff --git a/network/dante/README b/network/dante/README
new file mode 100644
index 0000000000..97091aa6f0
--- /dev/null
+++ b/network/dante/README
@@ -0,0 +1,43 @@
+dante (a free SOCKS client and server)
+
+Dante is a product developed by Inferno Nettverk A/S. It consists of
+a SOCKS server and a SOCKS client, implementing RFC 1928 and related
+standards. It is a flexible product that can be used to provide convenient
+and secure network connectivity.
+
+The Dante SOCKS server interoperates with many popular network
+applications which already have SOCKS support built in to them, such as
+most web-browsers, instant messaging programs, and many others. Dante is
+released under a BSD/CMU-type license and comes with complete source code.
+
+Extensive documentation is available at the Dante web site:
+
+https://www.inet.no/dante/doc/
+
+Slackware-specific notes:
+
+If libupnp is installed, Dante will be built with UPNP support.
+
+If you want to start sockd as a daemon on boot, start it from
+/etc/rc.d/rc.local. There's no init script provided with the package.
+This may change in the future, if there's enough interest (email the
+maintainer).
+
+No config files are installed by default. Sample config
+files are in /usr/doc/dante-$VERSION/example/, and also as
+/etc/sock[ds].conf.example. Dante can be used as a client without a
+config file (by setting SOCKS_SERVER in the environment, e.g.), but more
+fine-grained control is possible with /etc/socks.conf. Dante won't be
+very useful as a server (sockd) without a config file, so copy one of the
+sockd example configs to /etc/sockd.conf if you're going to run a server.
+
+Dante supports LDAP authentication, but the SlackBuild author hasn't
+tested building the support for it. The Dante configure script says
+you'll need to install "Kerberos/SASL/GSSAPI/LDAP" for this to work
+(and it should be autodetected, if everything is installed). If you try
+this, please email the maintainer with your results (success, failure,
+anything extra you had to do to make it work).
+
+The build doesn't include the "licensed modules" (purchase required)
+and there is no provision for adding them. These include the bandwidth
+and redirect modules.
diff --git a/network/dante/dante.SlackBuild b/network/dante/dante.SlackBuild
new file mode 100644
index 0000000000..2f28c512b2
--- /dev/null
+++ b/network/dante/dante.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for dante
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# TODO: init script? Only if someone asks for it...
+
+PRGNAM=dante
+VERSION=${VERSION:-1.4.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-shared \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+gzip -9 $PKG/usr/man/man?/*.?
+
+# Shared libs are installed with wrong permissions:
+chmod 755 $PKG/usr/lib$LIBDIRSUFFIX/libdsocks.so \
+ $PKG/usr/lib$LIBDIRSUFFIX/libsocks.so.*.*.*
+
+# 15.0 won't allow .la files. This is a new build for 14.2, so no
+# point leaving them in. If we were upgrading from an older version,
+# the missing .la files might break libraries built after dante's .la
+# files were installed, so we couldn't do this.
+rm -f $PKG/usr/lib$LIBDIRSUFFIX/*.la
+
+# Lots of doc files, I like it!
+DOCDIR=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $DOCDIR/example $DOCDIR/doc
+cp -a README* BUGS CREDITS LICENSE NEWS SUPPORT UPGRADE $DOCDIR
+cp -a example/*.conf $DOCDIR/example
+cp -a doc/README* doc/*.txt $DOCDIR/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Lots of Slack-specific notes here, include in the docdir.
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README.Slackware
+
+# Not going to install actual socks.conf and sockd.conf in /etc,
+# but at least symlink the examples where they can be found easily.
+mkdir -p $PKG/etc
+ln -s ../usr/doc/$PRGNAM-$VERSION/socks.conf $PKG/etc/socks.conf.example
+ln -s ../usr/doc/$PRGNAM-$VERSION/sockd.conf $PKG/etc/sockd.conf.example
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/dante/dante.info b/network/dante/dante.info
new file mode 100644
index 0000000000..39bc7ea1ab
--- /dev/null
+++ b/network/dante/dante.info
@@ -0,0 +1,10 @@
+PRGNAM="dante"
+VERSION="1.4.2"
+HOMEPAGE="https://www.inet.no/dante/"
+DOWNLOAD="https://www.inet.no/dante/files/dante-1.4.2.tar.gz"
+MD5SUM="77551576d3e80bfaa941055a2959da81"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/network/dante/slack-desc b/network/dante/slack-desc
new file mode 100644
index 0000000000..fc4853ea2d
--- /dev/null
+++ b/network/dante/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dante: dante (a free SOCKS client and server)
+dante:
+dante: Dante is a product developed by Inferno Nettverk A/S. It consists of
+dante: a SOCKS server and a SOCKS client, implementing RFC 1928 and related
+dante: standards. It is a flexible product that can be used to provide
+dante: convenient and secure network connectivity. Dante is released under
+dante: a BSD/CMU-type license and comes with complete source code.
+dante:
+dante:
+dante:
+dante: